Win32ControlPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.Win32ControlPlugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class Win32ControlPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ControlPlugin
              org.hyperic.hq.product.Win32ControlPlugin

    public class Win32ControlPlugin

extends ControlPlugin

Base class for control plugins.

Field Summary
`protected java.lang.String` | `installPrefix`
`protected org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `PROP_SERVICENAME`
`protected java.lang.String` | `serviceName`
`protected org.hyperic.sigar.win32.Service` | `svc`

Fields inherited from class org.hyperic.hq.product.ControlPlugin
`DEFAULT_TIMEOUT, manager, PROP_TIMEOUT, RESULT_FAILURE, RESULT_SUCCESS, STATE_RESTARTING, STATE_STARTED, STATE_STARTING, STATE_STOPPED, STATE_STOPPING, STATE_UNKNOWN`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`Win32ControlPlugin()`

Method Summary
`void` | `configure(ConfigResponse config)`
`protected java.lang.String` | `detectState()`
`void` | `doAction(java.lang.String action)`
`java.util.List` | `getActions()`
`java.lang.String` | `getInstallPrefix()`
`protected org.apache.commons.logging.Log` | `getLog()` Wrapper for LogFactory.getLog which uses the name returned by getLogName().
`java.lang.String` | `getServiceName()`
`protected boolean` | `isRunning()`
`protected boolean` | `isServiceRequired()`
`void` | `setInstallPrefix(java.lang.String val)`
`void` | `setServiceName(java.lang.String val)`
`protected java.lang.String` | `waitForState(java.lang.String wantedState)`

Methods inherited from class org.hyperic.hq.product.ControlPlugin
`doAction, getConfigSchema, getManager, getMessage, getResult, getTimeout, getTimeoutMillis, init, setManager, setMessage, setResult, setTimeout, setTimeout`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SERVICENAME

    public static final java.lang.String PROP_SERVICENAME

See Also:
  Constant Field Values

### log

    protected org.apache.commons.logging.Log log

### serviceName

    protected java.lang.String serviceName

### installPrefix

    protected java.lang.String installPrefix

### svc

    protected org.hyperic.sigar.win32.Service svc

Constructor Detail

### Win32ControlPlugin

    public Win32ControlPlugin()

Method Detail

### getLog

    protected org.apache.commons.logging.Log getLog()

  Description copied from class: `GenericPlugin`
  Wrapper for LogFactory.getLog which uses the name returned by getLogName().

  Overrides:
    `getLog` in class `GenericPlugin`

### getServiceName

    public java.lang.String getServiceName()

### setServiceName

    public void setServiceName(java.lang.String val)

### isServiceRequired

    protected boolean isServiceRequired()

### getInstallPrefix

    public java.lang.String getInstallPrefix()

### setInstallPrefix

    public void setInstallPrefix(java.lang.String val)

### configure

    public void configure(ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `GenericPlugin`
  Throws:
    `PluginException`

### isRunning

    protected boolean isRunning()

  Overrides:
    `isRunning` in class `ControlPlugin`

### detectState

    protected java.lang.String detectState()

  Overrides:
    `detectState` in class `ControlPlugin`

### waitForState

    protected java.lang.String waitForState(java.lang.String wantedState)

  Overrides:
    `waitForState` in class `ControlPlugin`

### getActions

    public java.util.List getActions()

  Overrides:
    `getActions` in class `ControlPlugin`

### doAction

    public void doAction(java.lang.String action)
                  throws PluginException

  Overrides:
    `doAction` in class `ControlPlugin`
  Throws:
    `PluginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.